if [ ! -d "./logs" ]; then
    mkdir ./logs
fi

if [ ! -d "./logs/LongForecasting" ]; then
    mkdir ./logs/LongForecasting
fi
seq_len=96
model_name=UniTST

root_path_name=./dataset/
data_path_name=electricity.csv
model_id_name=Electricity
data_name=custom
num_router=10
d_model=512
d_ff=512

random_seed=2021
for pred_len in 96 192 336 720
do
  for num_router in 10
  do
    python -u run_longExp.py \
      --random_seed $random_seed \
      --is_training 1 \
      --root_path $root_path_name \
      --data_path $data_path_name \
      --model_id ${model_id_name}'_'$seq_len'_'$pred_len \
      --model $model_name \
      --data $data_name \
      --features M \
      --seq_len $seq_len \
      --pred_len $pred_len \
      --enc_in 321 \
      --e_layers 3 \
      --n_heads 16 \
      --d_model ${d_model} \
      --d_ff ${d_ff} \
      --dropout 0.2\
      --fc_dropout 0.2\
      --head_dropout 0\
      --patch_len 16\
      --stride 8\
      --des 'Exp' \
      --train_epochs 100\
      --patience 10\
      --lradj 'TST'\
      --pct_start 0.2\
      --w_router 1 \
      --num_router $num_router \
      --itr 1 --batch_size 32 --learning_rate 0.0001  | tee logs/LongForecasting/$model_name'_nrouter_'${num_router}'_'$model_id_name'_dm_'${d_model}'_dff_'${d_ff}'_'$seq_len'_'$pred_len.log
  done
done
